Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Team Tusky
AuthorEmail: tusky@connyduck.at
WebSite: https://tusky.app/
SourceCode: https://github.com/tuskyapp/Tusky
IssueTracker: https://github.com/tuskyapp/Tusky/issues
Translation: https://weblate.tusky.app/projects/tusky/
Changelog: https://github.com/tuskyapp/Tusky/releases
OpenCollective: tusky

AutoName: Tusky

RepoType: git
Repo: https://github.com/tuskyapp/Tusky

Builds:
  - versionName: 1.0.0-alpha.5
    versionCode: 5
    commit: v1.0.0-alpha.5
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.0-alpha.7
    versionCode: 7
    commit: v1.0.0-alpha.7
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.0-alpha.8
    versionCode: 8
    commit: v1.0.0-alpha.8
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.3
    versionCode: 16
    commit: 31fff630f3e92b0bdc3683b00fc7ebc24ac60f49
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/googleCompile/d' -e '/google-services/d' ../build.gradle build.gradle
      - sed -i -e 's/com.google.firebase.iid.FirebaseInstanceId.getInstance().getToken()/"null"/g'  src/main/java/com/keylesspalace/tusky/BaseActivity.java

  - versionName: 1.1.4
    versionCode: 25
    commit: v1.1.4
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/googleCompile/d' -e '/google-services/d' ../build.gradle build.gradle
      - sed -i -e 's/com.google.firebase.iid.FirebaseInstanceId.getInstance().getToken()/"null"/g'  src/main/java/com/keylesspalace/tusky/BaseActivity.java

  - versionName: 1.2.0
    versionCode: 26
    commit: v1.2.0
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.2.1
    versionCode: 27
    commit: v1.2.1
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.1
    versionCode: 29
    commit: v1.3.1
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.4.1
    versionCode: 31
    commit: v1.4.1
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.5.0
    versionCode: 32
    commit: v1.5.0
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.5.1
    versionCode: 33
    commit: v1.5.1
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.5.2
    versionCode: 34
    commit: v1.5.2
    subdir: app
    gradle:
      - yes

  - versionName: 1.6.0
    versionCode: 35
    commit: v1.6.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.6.1
    versionCode: 36
    commit: v1.6.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.7.0
    versionCode: 37
    commit: v1.7.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.8.0
    versionCode: 38
    commit: v1.8.0
    subdir: app
    gradle:
      - yes

  - versionName: '2.0'
    versionCode: 41
    commit: v2.0
    subdir: app
    gradle:
      - yes

  - versionName: '2.1'
    versionCode: 42
    commit: v2.1
    subdir: app
    gradle:
      - yes

  - versionName: '2.2'
    versionCode: 44
    commit: v2.2
    subdir: app
    gradle:
      - yes

  - versionName: '2.3'
    versionCode: 45
    commit: v2.3
    subdir: app
    gradle:
      - blue

  - versionName: '3.0'
    versionCode: 48
    commit: v3.0
    subdir: app
    gradle:
      - blue

  - versionName: '3.1'
    versionCode: 49
    commit: v3.1
    subdir: app
    gradle:
      - blue

  - versionName: '4.0'
    versionCode: 51
    commit: v4.0
    subdir: app
    gradle:
      - blue

  - versionName: '4.1'
    versionCode: 52
    commit: v4.1
    subdir: app
    gradle:
      - blue

  - versionName: '5.0'
    versionCode: 54
    commit: v5.0
    subdir: app
    gradle:
      - blue

  - versionName: '5.1'
    versionCode: 55
    commit: v5.1
    subdir: app
    gradle:
      - blue

  - versionName: '5.2'
    versionCode: 56
    commit: v5.2
    subdir: app
    gradle:
      - blue

  - versionName: '6.0'
    versionCode: 58
    commit: v6.0
    subdir: app
    gradle:
      - blue

  - versionName: '6.1'
    versionCode: 59
    commit: v6.1
    subdir: app
    gradle:
      - blue

  - versionName: '7.0'
    versionCode: 61
    commit: v7.0
    subdir: app
    gradle:
      - blue

  - versionName: '7.1'
    versionCode: 62
    commit: v7.1
    subdir: app
    gradle:
      - blue

  - versionName: '8.0'
    versionCode: 64
    commit: v8.0
    subdir: app
    gradle:
      - blue

  - versionName: '8.1'
    versionCode: 65
    commit: v8.1
    subdir: app
    gradle:
      - blue

  - versionName: '9.0'
    versionCode: 67
    commit: v9.0
    subdir: app
    gradle:
      - blue

  - versionName: '9.1'
    versionCode: 68
    commit: v9.1
    subdir: app
    gradle:
      - blue

  - versionName: 10.0 beta 1
    versionCode: 69
    commit: v10.0-beta.1
    subdir: app
    gradle:
      - blue

  - versionName: '10.0'
    versionCode: 70
    commit: v10.0
    subdir: app
    gradle:
      - blue

  - versionName: 11.0 beta 1
    versionCode: 71
    commit: v11.0-beta.1
    subdir: app
    gradle:
      - blue

  - versionName: '11.0'
    versionCode: 72
    commit: v11.0
    subdir: app
    gradle:
      - blue

  - versionName: 12.0 beta 1
    versionCode: 73
    commit: v12.0-beta.1
    subdir: app
    gradle:
      - blue

  - versionName: '12.0'
    versionCode: 74
    commit: v12.0
    subdir: app
    gradle:
      - blue

  - versionName: '12.1'
    versionCode: 75
    commit: v12.1
    subdir: app
    gradle:
      - blue

  - versionName: 13.0 beta 1
    versionCode: 76
    commit: v13.0-beta.1
    subdir: app
    gradle:
      - blue

  - versionName: '13.0'
    versionCode: 77
    commit: v13.0
    subdir: app
    gradle:
      - blue

  - versionName: '13.1'
    versionCode: 78
    commit: v13.1
    subdir: app
    gradle:
      - blue

  - versionName: '14.0'
    versionCode: 80
    commit: v14.0
    subdir: app
    gradle:
      - blue

  - versionName: 15.0 beta 1
    versionCode: 81
    commit: v15.0-beta.1
    subdir: app
    gradle:
      - blue

  - versionName: '15.0'
    versionCode: 82
    commit: v15.0
    subdir: app
    gradle:
      - blue

  - versionName: '15.1'
    versionCode: 83
    commit: v15.1
    subdir: app
    gradle:
      - blue

  - versionName: 16.0 beta 1
    versionCode: 84
    commit: v16.0-beta.1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: 16.0 beta 2
    versionCode: 85
    commit: v16.0-beta.2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: 16.0 beta 3
    versionCode: 86
    commit: v16.0-beta.3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: '16.0'
    versionCode: 87
    commit: fcc926570386e1c64504f679d5dc93e2aab2328a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: 17.0 beta 1
    versionCode: 88
    commit: v17.0-beta.1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: '17.0'
    versionCode: 89
    commit: 0c840a706d92aa0b20cf8adb9e9ce63632c54660
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: 18.0 beta 1
    versionCode: 90
    commit: v18.0-beta.1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: '18.0'
    versionCode: 91
    commit: 20f3ec921f4040b1a1ca69ee89aa9f27b3561c2f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: 19.0 beta 1
    versionCode: 92
    commit: v19.0-beta.1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: 19.0 beta 2
    versionCode: 93
    commit: v19.0-beta.2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: '19.0'
    versionCode: 94
    commit: 3ae18fd9231ba9d8f36df4b8187488b9e2cb2f01
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - blue

  - versionName: 20.0 beta 1
    versionCode: 95
    commit: v20.0-beta.1
    subdir: app
    gradle:
      - blue

  - versionName: 20.0 beta 2
    versionCode: 96
    commit: v20.0-beta.2
    subdir: app
    gradle:
      - blue

  - versionName: '20.0'
    versionCode: 97
    commit: b53f097d459ecace7ff46ce3b4d0e6ab29f65dc1
    subdir: app
    gradle:
      - blue

  - versionName: 21.0 beta 1
    versionCode: 98
    commit: v21.0-beta.1
    subdir: app
    gradle:
      - blue

  - versionName: 21.0 beta 2
    versionCode: 99
    commit: v21.0-beta.2
    subdir: app
    gradle:
      - blue

  - versionName: '21.0'
    versionCode: 100
    commit: be935655a5dc07b8b7edd951398e92d351eaa0f2
    subdir: app
    gradle:
      - blue

  - versionName: 22.0 beta 1
    versionCode: 103
    commit: v22.0-beta.1
    subdir: app
    gradle:
      - blue

  - versionName: 22.0 beta 3
    versionCode: 105
    commit: v22.0-beta.3
    subdir: app
    gradle:
      - blue

  - versionName: 22.0 beta 4
    versionCode: 106
    commit: v22.0-beta.4
    subdir: app
    gradle:
      - blue

  - versionName: 22.0 beta 5
    versionCode: 107
    commit: v22.0-beta.5
    subdir: app
    gradle:
      - blue

  - versionName: 22.0 beta 6
    versionCode: 108
    commit: v22.0-beta.6
    subdir: app
    gradle:
      - blue

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[\d.]+$
UpdateCheckData: app/build.gradle|versionCode\s(\d+)|.|versionName\s"([\d.]+)"
CurrentVersion: '21.0'
CurrentVersionCode: 100
